package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/3/19
 */
public class GetVerificationCodeReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @NotBlank
    @ApiModelProperty(name = "type", value = "短信类型 1：用户注册或登陆确认；2：绑定手机号；4：忘记密码；6：换绑手机号", required = true)
    private Integer type;
    @NotBlank
    @ApiModelProperty(name = "phone", value = "手机号", required = true)
    private String phone;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
